﻿/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/
using System;
using System.Collections.Generic;
using System.Text;

namespace SerialSend
{
    class Program
    {
        static void Main(string[] args)
        {
            // create serial object and Set DCB
            System.IO.Ports.SerialPort serial = new System.IO.Ports.SerialPort("COM1", 921600, System.IO.Ports.Parity.None, 8, System.IO.Ports.StopBits.One);

            // Set Hardware Flow Control
            serial.Handshake = System.IO.Ports.Handshake.RequestToSend;

            // open the Serial Port
            serial.Open();

            // make sure the serial port was opened.
            if (serial.IsOpen)
            {
                string ss = "1234567890";
                for (int i = 0; i < 10; i++)
                {
                    System.Console.WriteLine("Send:" + ss);

                    // send data
                    serial.WriteLine(ss);

                    // wait 500 milliseconds
                    System.Threading.Thread.Sleep(500);
                }
            }

            // close serial port
            serial.Close();
            serial = null;
        }
    }
}
